FreeMat

- Main Page
- Related Pages

vtkSimpleImageFilterExample

Section: Visualization Toolkit Imaging Classes

# Usage

This is an example of a simple image-image filter. It copies it's input to it's output (point by point). It shows how templates can be used to support various data types. .SECTION See also vtkSimpleImageToImageFilter

To create an instance of class vtkSimpleImageFilterExample, simply invoke its constructor as follows

      obj = vtkSimpleImageFilterExample

# Methods

The class vtkSimpleImageFilterExample has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSimpleImageFilterExample class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSimpleImageFilterExample = obj.NewInstance ()`
- `vtkSimpleImageFilterExample = obj.SafeDownCast (vtkObject o)`